Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.api.event
Class ServletEventBridge

    java.lang.Object
      org.jboss.portal.core.impl.api.event.ServletEventBridge

All Implemented Interfaces:
  java.util.EventListener, javax.servlet.http.HttpSessionAttributeListener, javax.servlet.http.HttpSessionListener, javax.servlet.ServletContextListener

    public class ServletEventBridge

extends java.lang.Object
implements javax.servlet.http.HttpSessionListener, javax.servlet.ServletContextListener, javax.servlet.http.HttpSessionAttributeListener

Bridge servlet event to portal events.

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Constructor Summary
`ServletEventBridge()`

Method Summary
`void` | `attributeAdded(javax.servlet.http.HttpSessionBindingEvent event)`
`void` | `attributeRemoved(javax.servlet.http.HttpSessionBindingEvent event)`
`void` | `attributeReplaced(javax.servlet.http.HttpSessionBindingEvent event)`
`void` | `contextDestroyed(javax.servlet.ServletContextEvent event)`
`void` | `contextInitialized(javax.servlet.ServletContextEvent event)`
`void` | `sessionCreated(javax.servlet.http.HttpSessionEvent event)`
`void` | `sessionDestroyed(javax.servlet.http.HttpSessionEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletEventBridge

    public ServletEventBridge()

Method Detail

### contextInitialized

    public void contextInitialized(javax.servlet.ServletContextEvent event)

  Specified by:
    `contextInitialized` in interface `javax.servlet.ServletContextListener`

### contextDestroyed

    public void contextDestroyed(javax.servlet.ServletContextEvent event)

  Specified by:
    `contextDestroyed` in interface `javax.servlet.ServletContextListener`

### sessionCreated

    public void sessionCreated(javax.servlet.http.HttpSessionEvent event)

  Specified by:
    `sessionCreated` in interface `javax.servlet.http.HttpSessionListener`

### sessionDestroyed

    public void sessionDestroyed(javax.servlet.http.HttpSessionEvent event)

  Specified by:
    `sessionDestroyed` in interface `javax.servlet.http.HttpSessionListener`

### attributeAdded

    public void attributeAdded(javax.servlet.http.HttpSessionBindingEvent event)

  Specified by:
    `attributeAdded` in interface `javax.servlet.http.HttpSessionAttributeListener`

### attributeRemoved

    public void attributeRemoved(javax.servlet.http.HttpSessionBindingEvent event)

  Specified by:
    `attributeRemoved` in interface `javax.servlet.http.HttpSessionAttributeListener`

### attributeReplaced

    public void attributeReplaced(javax.servlet.http.HttpSessionBindingEvent event)

  Specified by:
    `attributeReplaced` in interface `javax.servlet.http.HttpSessionAttributeListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD